/* (C) 2022 YiRing, Inc. */
package com.yiring.app.push.service;

import com.alibaba.fastjson.JSONObject;
import com.yiring.app.push.domain.PushMessage;
import com.yiring.app.push.param.PushAppParam;

/**
 * 推送服务
 *
 * @author Jim
 * @version 0.1
 * 2022/4/14 16:01
 */
public interface PushService {
    void push(PushMessage.Type type, JSONObject raw);

    /**
     * 推送到 App
     * @param param 参数
     */
    void app(PushAppParam param);
}
