/* (C) 2022 YiRing, Inc. */
package com.yiring.app.config.dialect;

import java.io.Serial;
import org.hibernate.spatial.dialect.postgis.PostgisPG10Dialect;

/**
 * Postgres 方言
 * TODO: 扩展 TimescaleDB 查询函数相关
 *
 * @author Jim
 * @version 0.1
 * 2022/4/7 16:11
 */

@SuppressWarnings({ "unused" })
public class PostgresDialect extends PostgisPG10Dialect {

    @Serial
    private static final long serialVersionUID = 187383913873678550L;

    public PostgresDialect() {
        super();
    }
}
