/* (C) 2022 YiRing, Inc. */
package com.yiring.app.exception;

import com.yiring.app.constant.Code;
import java.io.Serial;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * 业务状态异常
 *
 * @author Jim
 * @version 0.1
 * 2022/3/28 11:36
 */

@EqualsAndHashCode(callSuper = true)
@Data
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class CodeException extends RuntimeException {

    @Serial
    private static final long serialVersionUID = -4226669531686389671L;

    /**
     * 业务状态
     */
    Code code;
}
