/* (C) 2022 YiRing, Inc. */
package com.yiring.app.param.dict;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * @author tzl
 * 2022/4/13 16:06
 */
@ApiModel("DictQueryParam")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class DictTypeQueryParam implements Serializable {

    private static final long serialVersionUID = -2940949823473695962L;

    @ApiModelProperty(value = "字典名称", example = "性别")
    String dictName;
}
