/* (C) 2022 YiRing, Inc. */
package com.yiring.app.param.location.fence;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author tml
 * @version 1.0
 * @date 2022/4/28 13:35
 */
@ApiModel("LocationFenceConditionParam(查询围栏信息的条件param)")
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class LocationFenceConditionParam implements Serializable {

    @Serial
    private static final long serialVersionUID = 6711068412873775138L;

    @ApiModelProperty(value = "地图id", example = "1")
    private Long mapId;

    @ApiModelProperty(value = "围栏类型", example = "1")
    private Long fenceType;
}
