/* (C) 2022 YiRing, Inc. */
package com.yiring.app.param.location.rule;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import lombok.*;

/**
 * @author tml
 * @version 1.0
 * @date 2022/4/28 16:28
 */
@ApiModel("报警类型中报警规则的用户信息")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode
public class RelevanceUserParam implements Serializable {

    @Serial
    private static final long serialVersionUID = -8419550356739651935L;

    @ApiModelProperty(value = "工号", example = "1888888888", required = true)
    private String uuid;

    @ApiModelProperty(value = "真实姓名", example = "张三", required = true)
    private String realName;
}
