/* (C) 2022 YiRing, Inc. */
package com.yiring.app.service.appletUser;

import com.yiring.app.param.appUser.AppletUserParam;
import com.yiring.app.param.appUser.AppletUserQueryParam;
import com.yiring.common.core.Result;

/**
 * @author Administrator
 * @version 1.0
 * @description: 微信小程序用户
 * @date 2022/4/24 9:22
 */
public interface AppletUserService {
    /**
     * 根据用户唯一标识获取手机号码，通过手机号码查询用户来访信息分页
     * @author tzl
     * @date 2022/4/28 13:58
     * @param appletUserQueryParam
     * @return com.yiring.common.core.Result<java.lang.String>
     */
    Result<String> selectMobile(AppletUserQueryParam appletUserQueryParam);

    /**
     * 小程序注册
     * @author tzl
     * @date 2022/4/28 13:43
     * @param appletUserParam 入参
     * @return com.yiring.common.core.Result<java.lang.String>
     */
    Result<String> saveAppUser(AppletUserParam appletUserParam);
}
