/* (C) 2022 YiRing, Inc. */
package com.yiring.app.service.dict.impl;

import com.yiring.app.service.dict.DictTypeService;
import java.util.*;
import org.springframework.stereotype.Service;

/**
 * 字典类型
 *
 * @author tzl
 * 2022/4/14 14:23
 */
@Service
public class DictTypeServiceImpl implements DictTypeService {
    //
    //    @Resource
    //    DictTypeRepository dictTypeRepository;
    //
    //    @Resource
    //    DictRepository dictRepository;
    //
    //    @Override
    //    public Result<PageVo<DictType>> pageDictTypeInfo(DictTypeQueryParam dictTypeQueryParam, PageParam param) {
    //        Page<DictType> all = dictTypeRepository.findAll(condition(dictTypeQueryParam), PageParam.toPageable(param));
    //        List<DictType> data = all
    //            .get()
    //            .map(car -> {
    //                DictType vo = new DictType();
    //                BeanUtils.copyProperties(car, vo);
    //                return vo;
    //            })
    //            .collect(Collectors.toList());
    //        PageVo<DictType> vo = PageVo.build(data, all.getTotalElements());
    //        return Result.ok(vo);
    //    }
    //
    //    @Override
    //    public Result<DictType> getDictTypeInfo(Long id) {
    //        return Result.ok(dictTypeRepository.getById(id));
    //    }
    //
    //    @Override
    //    public Result<String> delecteById(Long id) {
    //        Optional<DictType> optional = dictTypeRepository.findById(id);
    //        if (optional.isEmpty()) {
    //            return Result.no(Status.NOT_FOUND);
    //        }
    //        DictType entity = optional.get();
    //        List<Dict> byDictType1 = dictRepository.findByDictType(entity.getDictType());
    //        if (byDictType1.size() > 0) {
    //            return Result.no(Status.BAD_REQUEST, "该类型下有字典数据,无法删除");
    //        }
    //
    //        dictTypeRepository.delete(entity);
    //        //移除该类型缓存
    //        DictUtils.removeDictCache(entity.getDictType());
    //        return Result.ok();
    //    }
    //
    //    @Override
    //    public Result<String> saveDictTypeInfo(DictTypeParam dictTypeParam) {
    //        if (has(dictTypeParam.getDictType())) {
    //            return Result.no(Status.BAD_REQUEST, "字典类型已存在");
    //        }
    //        DictType dictType = DictType.builder().createTime(LocalDateTime.now()).build();
    //        BeanUtils.copyProperties(dictTypeParam, dictType);
    //        dictTypeRepository.saveAndFlush(dictType);
    //        //添加空缓存
    //        DictUtils.setDictCache(dictType.getDictType(), null);
    //        return Result.ok();
    //    }
    //
    //    @Override
    //    public Result<String> updateDictTypeInfo(DictTypeParam dictTypeParam, IdParam idParam) {
    //        Optional<DictType> optional = dictTypeRepository.findById(idParam.getId());
    //        if (optional.isEmpty()) {
    //            return Result.no(Status.NOT_FOUND);
    //        }
    //        DictType dictType = optional.get();
    //        if (!dictType.getDictType().equals(dictTypeParam.getDictType())) {
    //            //在修改字典类型时
    //            if (has(dictTypeParam.getDictType())) {
    //                return Result.no(Status.BAD_REQUEST, "字典类型已存在");
    //            }
    //            //将该字典类型下的字典数据一并修改
    //            dictRepository.updateDictType(dictTypeParam.getDictType(), dictType.getDictType());
    //            //移除之前的缓存
    //            DictUtils.removeDictCache(dictType.getDictType());
    //        }
    //        BeanUtils.copyProperties(dictTypeParam, dictType);
    //        dictTypeRepository.saveAndFlush(dictType);
    //        //查询该字典类型下的字典值数据
    //        List<Dict> byDictType = dictRepository.findByDictType(dictType.getDictType());
    //        //添加新缓存
    //        DictUtils.setDictCache(dictType.getDictType(), byDictType);
    //        return Result.ok();
    //    }
    //
    //    @Override
    //    public boolean has(String param) {
    //        DictType dictType = DictType.builder().dictType(param).build();
    //        return dictTypeRepository.count(Example.of(dictType)) > 0;
    //    }
    //
    //    public Specification<DictType> condition(DictTypeQueryParam dictTypeQueryParam) {
    //        return (root, query, criteriaBuilder) -> {
    //            List<Predicate> list = new ArrayList<>();
    //            if (StrUtils.isNotBlank(dictTypeQueryParam.getDictName())) {
    //                list.add(
    //                    criteriaBuilder.like(
    //                        root.get("dictType").as(String.class),
    //                        "%" + dictTypeQueryParam.getDictName() + "%"
    //                    )
    //                );
    //            }
    //            Predicate[] predicates = new Predicate[list.size()];
    //            query.where(list.toArray(predicates));
    //            return criteriaBuilder.and(list.toArray(predicates));
    //        };
    //    }
}
