/* (C) 2022 YiRing, Inc. */
package com.yiring.app.stomp;

import lombok.AccessLevel;
import lombok.Data;
import lombok.experimental.FieldDefaults;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * RabbitmqProperties
 *
 * @author ifzm
 * @version 0.1
 * 2019/9/25 21:31
 */

@Data
@FieldDefaults(level = AccessLevel.PRIVATE)
@Component
@ConfigurationProperties(prefix = "spring.rabbitmq")
public class RabbitmqProperties {

    int port;
    String host;
    String username;
    String password;
}
