/* (C) 2022 YiRing, Inc. */
package com.yiring.app.util;

import java.io.Serializable;
import java.time.LocalDateTime;
import org.hibernate.HibernateException;
import org.hibernate.engine.spi.SharedSessionContractImplementor;
import org.hibernate.id.IdentifierGenerator;
import org.springframework.stereotype.Component;

/**
 * @author Jim
 * @version 0.1
 * 2022/5/10 18:26
 */

@Component
public class TimeIdGenerator implements IdentifierGenerator {

    public Serializable generate(SharedSessionContractImplementor session, Object object) throws HibernateException {
        return LocalDateTime.now();
    }
}
