/* (C) 2022 YiRing, Inc. */
package com.yiring.app.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * code-name格式数据Vo
 * @author tml
 * @version 1.0
 * @date 2022/4/26 11:02
 */
@ApiModel("KeyValueVo")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class CodeNameVo implements Serializable {

    @Serial
    private static final long serialVersionUID = -7565315836652536620L;

    @ApiModelProperty(value = "code", example = "1", required = true)
    private Integer code;

    @ApiModelProperty(value = "name", example = "名称", required = true)
    private String name;
}
