/* (C) 2022 YiRing, Inc. */
package com.yiring.app.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author tml
 * @version 1.0
 * @date 2022/5/6 13:43
 */
@ApiModel("IdNameVo")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class IdNameVo implements Serializable {

    @Serial
    private static final long serialVersionUID = -8990274383112436122L;

    @ApiModelProperty(value = "id", example = "1", required = true)
    private Long id;

    @ApiModelProperty(value = "name", example = "名称", required = true)
    private String name;
}
