/* (C) 2022 YiRing, Inc. */
package com.yiring.app.push.param;

import io.swagger.annotations.ApiModel;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * App 推送参数
 *
 * @author Jim
 * @version 0.1
 * 2022/4/21 10:27
 */

@ApiModel("A")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class PushAppParam {

    String webhook;
}
