/* (C) 2022 YiRing, Inc. */
package com.yiring.app.design.check.fence;

import com.yiring.app.constant.alarm.RelevanceParamEnum;
import com.yiring.app.design.check.IParamInitStrategy;
import com.yiring.app.param.location.rule.LocationFenceRuleAddParam;
import com.yiring.common.core.Result;
import org.springframework.stereotype.Component;

/**
 * @author tml
 * @version 1.0
 * @date 2022/4/29 11:08
 */
@Component
public class DangerousStrategy implements IParamInitStrategy<LocationFenceRuleAddParam> {

    public DangerousStrategy() {
        Integer fenceType = RelevanceParamEnum.MAX_PEOPLE_NUMBER.getCode();
        LocationFenceTypeContext.register(fenceType, this);
    }

    @Override
    public Result<String> paramInit(LocationFenceRuleAddParam param) {
        //TODO
        return Result.ok();
    }
}
