/* (C) 2022 YiRing, Inc. */
package com.yiring.app.design.check.fence;

import com.yiring.app.design.check.IParamInitStrategy;
import com.yiring.app.param.location.rule.LocationFenceRuleAddParam;
import com.yiring.app.param.location.rule.RuleParam;
import com.yiring.common.core.Result;
import org.springframework.stereotype.Component;

/**
 * @author tml
 * @version 1.0
 * @date 2022/4/29 11:15
 */
@Component
public class DefaultStrategy implements IParamInitStrategy<LocationFenceRuleAddParam> {

    public DefaultStrategy() {
        Integer fenceType = 0;
        LocationFenceTypeContext.register(fenceType, this);
    }

    @Override
    public Result<String> paramInit(LocationFenceRuleAddParam param) {
        RuleParam ruleParam = param.getRuleParam();
        ruleParam.setVoiceId(null);
        ruleParam.setVoiceName(null);
        ruleParam.setPlayEquipmentId(null);
        ruleParam.setPlayEquipmentName(null);
        return Result.ok();
    }
}
