/* (C) 2022 YiRing, Inc. */
package com.yiring.app.domain.appletUser;

import java.io.Serializable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

/**
 * @author tzl
 * 2022/4/22 13:55
 */
@Repository
public interface AppletUserRepository
    extends JpaRepository<AppletUser, Serializable>, JpaSpecificationExecutor<AppletUser> {
    @Query("SELECT COUNT(id) FROM AppletUser WHERE mobile=?1")
    Integer countMobile(String mobile);
}
