/* (C) 2022 YiRing, Inc. */
package com.yiring.app.feign.zy.location.beacon;

import cn.hutool.json.JSONObject;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestHeader;

/**
 * 部门信息控制器
 *
 * @author LJ-2204
 * @date 2022/4/28
 */

@FeignClient(url = "${zy-config.proxy.api}", name = "LocationTagBeaconClient")
public interface LocationBeaconClient {
    @PostMapping(value = "/position/config/device/page", headers = { "Content-Type=application/json;charset=UTF-8" })
    JSONObject page(@RequestBody String json, @RequestHeader("Authorization") String token);
}
