/* (C) 2022 YiRing, Inc. */
package com.yiring.app.feign.zy.location.tag;

import cn.hutool.json.JSONObject;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestHeader;

/**
 * 标签分配
 *
 * @author LJ-2204
 * @date 2022/5/6
 */

@FeignClient(url = "${zy-config.proxy.api}", name = "LocationTagTypeClient")
public interface LocationTagTypeClient {
    @PostMapping(
        value = "/position/bizTag/updateEntityType",
        headers = { "Content-Type=application/json;charset=UTF-8" }
    )
    JSONObject updateEntityType(@RequestBody String json, @RequestHeader("Authorization") String token);
}
