/* (C) 2022 YiRing, Inc. */
package com.yiring.app.param.location.beacon;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * 定位信标导出
 *
 * @author LJ-2204
 * @date 2022/4/29
 */

@ApiModel("LocationBeaconExportParam")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class LocationBeaconExportParam implements Serializable {

    @Serial
    private static final long serialVersionUID = 2076855906391376170L;

    @ApiModelProperty(value = "编号", example = "BTI88888888")
    String code;
}
