/* (C) 2022 YiRing, Inc. */
package com.yiring.app.param.video;

import io.swagger.annotations.ApiModel;
import java.io.Serializable;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * @author tzl
 * 2022/4/18 15:21
 */
@ApiModel("StreamProxyItem")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class StreamProxyItem implements Serializable {

    private static final long serialVersionUID = -7345369573992941431L;
    //名称
    String name;
    //流应用名称
    String app;
    //流id
    String stream;
    //拉流地址
    String url;
    //类型,根据地址是否有关键字判断
    String type;
    //节点选择
    String mediaServerId;
    //是否启用
    boolean enable;
    //是否转HLS
    boolean enable_hls;

    Integer timeout_ms;
}
