/* (C) 2022 YiRing, Inc. */
package com.yiring.app.vo.broadcast;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * @author tzl
 * @version 1.0
 * @description:
 * @date 2022/5/6 11:33
 */
@ApiModel("BroadcastjcVo")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class BroadcastjcVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 5301756979737544186L;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "id", example = "1")
    Long id;

    @ApiModelProperty(value = "播报设备名称", example = "喇叭1")
    String broadcastName;
}
