/* (C) 2022 YiRing, Inc. */
package com.yiring.common.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import javax.validation.Valid;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * 公共下拉str查询入参
 *
 * @author LJ-2204
 * @date 2022/4/26
 */

@ApiModel("IndexParam")
@Valid
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class IndexParam implements Serializable {

    @Serial
    private static final long serialVersionUID = 1175269732754454737L;

    @ApiModelProperty(value = "下拉查询")
    String str;
}
